rollout cgway "Copyright (CGway.net)"
(
	label lbl1 "CGway Education Center" pos:[32,4] width:130 height:17
	label lbl2 "www.cgway.net" pos:[47,20] width:100 height:18
	label lbl3 "Scripted By: Eng. Ateya Abdo" pos:[18,40] width:180 height:16
	label lbl4 "eng.ateya3d@gmail.com" pos:[30,60] width:128 height:16
	label lbl5 "Mobile: 002 - 0125134331" pos:[28,80] width:128 height:16
	
)
theNewFloater = newRolloutFloater "CGway Script" 200 625
addRollout cgway theNewFloater

rollout StModels "Standard Models" width:200 height:140
(
	groupBox grp1 "Simple Models" pos:[10,4] width:170 height:130
	checkButton Chk_Sphere "Sphere" pos:[20,25] width:150 height:23
	checkButton Chk_Box "Box" pos:[20,51] width:150 height:23
	checkButton Chk_Plane "Plane" pos:[20,77] width:150 height:23
	checkButton Chk_Cyl "Cylinder" pos:[20,103] width:150 height:23
	
	on Chk_Sphere changed state do
(
	if state==on then
		Unhide $Sphere
		else
		hide $Sphere
	)
	on Chk_Box changed state do
(
		if state==on then
		Unhide $Box
		else
		hide $Box
	)
	on Chk_Plane changed state do
(
	if state==on then
		Unhide $Plane
		else
		hide $Plane
	)
	on Chk_Cyl changed state do
(
	if state==on then
		Unhide $Cylinder
		else
		hide $Cylinder
	)
	
)
addRollout StModels theNewFloater

rollout othermodels "Other Models" width:200 height:210
(
	groupBox grp4 "Complex Models" pos:[7,2] width:170 height:235
	checkButton chk_S_01 "Hands Statue " pos:[20,17] width:150 height:23
	checkButton chk_S_02 "Funny Statue" pos:[20,43] width:150 height:23
	checkButton chk_S_03 "Small Picture Frames" pos:[20,70] width:150 height:23
	checkButton chk_S_04 "Clock" pos:[20,96] width:150 height:23
	checkButton chk_S_05 "Earth" pos:[20,122] width:150 height:23
	checkButton chk_S_06 "Glasses" pos:[20,148] width:150 height:23
	button HideAll "HideAll " pos:[20,175] width:150 height:26
	button UnhideAll "Unhide All " pos:[20,205] width:150 height:26
	on chk_S_01 changed state do
(
	if state==on then
		Unhide $hands_statue
		else
		hide $hands_statue
	)
	
	on chk_S_02 changed state do
(
	if state==on then
	(
		Unhide $statue
	)
		else
	(
		hide $statue
	)
	)
	on chk_S_03 changed state do
(
	if state==on then
	(
		Unhide $S_picture01
		Unhide $S_picture02
	)
		else
	(
		hide $S_picture01
		hide $S_picture02
	)
	)
	on chk_S_04 changed state do
(
	if state==on then
		Unhide $clock
		else
		hide $clock
	)
	on chk_S_05 changed state do
(
	if state==on then
		Unhide $Globalsp
		else
		hide $Globalsp
	)
	on chk_S_06 changed state do
(
	if state==on then
	(
		Unhide $ice
		Unhide $iceholder
		Unhide $holding
		Unhide $cup
		Unhide $simodel
		Unhide $bottle
	)
		else
	(
		hide $ice
		hide $iceholder
		hide $holding
		hide $cup
		hide $simodel
		hide $bottle
	)
	)
	on HideAll pressed do 
	(
		hide $Sphere
		hide $Box
		hide $Plane
		hide $Cylinder
		hide $hands_statue
		hide $statue
		hide $S_picture01
		hide $S_picture02
		hide $clock
		hide $Globalsp
		hide $ice
		hide $iceholder
		hide $cup
		hide $bottle
		hide $holding
		hide $simodel
		
		chk_S_01.checked= false
		chk_S_02.checked= false
		chk_S_03.checked= false
		chk_S_04.checked= false
		chk_S_05.checked= false
		chk_S_06.checked= false
	)
		on UnhideAll pressed do 
	(
		Unhide $Sphere
		Unhide $Box
		Unhide $Plane
		Unhide $Cylinder
		Unhide $hands_statue
		Unhide $statue
		Unhide $S_picture01
		Unhide $S_picture02
		Unhide $clock
		Unhide $Globalsp
		Unhide $ice
		Unhide $iceholder
		Unhide $cup
		Unhide $bottle
		Unhide $holding
		Unhide $simodel
	)
)
addRollout othermodels theNewFloater

rollout Close_all "Exit" width:162 height:40
(
	button CloseModels "Close" pos:[20,6] width:150 height:26
	
	on CloseModels pressed do 
	(
		removeRollout cgway
		removeRollout StModels
		removeRollout othermodels
		removeRollout Close_all 
	)
)
addRollout Close_all theNewFloater

